\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
operator>>
I/O

##

## Functions
template<class Traits , class Dcel >
std::istream & | CGAL::operator>> (std::istream &is, Arrangement_2< Traits, Dcel > &arr)
| Extracts an arrangement from a given input stream using the input format defined by the `Arr_text_formatter` class - that is, only the basic geometric and topological features of the arrangement are read and no auxiliary data is attached to the Dcel features.
template<class Traits , class Dcel >
std::istream & | CGAL::operator>> (std::istream &is, Arrangement_with_history_2< Traits, Dcel > &arr)
| Extracts an arrangement-with-history from a given input stream using the default input format.